[@rxap/data-source](../wiki/globals) / DataSourceLikeForErrorHandling

# Interface: DataSourceLikeForErrorHandling

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:28](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L28)

## Properties

### error?

> `optional` **error**: `unknown`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:35](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L35)

***

### error$?

> `optional` **error$**: `Observable`\<`unknown`\>

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:34](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L34)

***

### loading?

> `optional` **loading**: `boolean` \| `Observable`\<`boolean`\>

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:32](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L32)

***

### loading$?

> `optional` **loading$**: `Observable`\<`boolean`\>

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:33](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L33)

***

### refresh()?

> `optional` **refresh**: () => `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:29](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L29)

#### Returns

`void`

***

### reset()?

> `optional` **reset**: () => `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:31](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L31)

#### Returns

`void`

***

### retry()?

> `optional` **retry**: () => `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:30](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L30)

#### Returns

`void`
